Exponential              package:stats              R Documentation

The Exponential Distribution

Description:

     Density, distribution function, quantile function and random
     generation for the exponential distribution with rate 'rate'
     (i.e., mean '1/rate').

Usage:

     dexp(x, rate = 1, log = FALSE)
     pexp(q, rate = 1, lower.tail = TRUE, log.p = FALSE)
     qexp(p, rate = 1, lower.tail = TRUE, log.p = FALSE)
     rexp(n, rate = 1)

Arguments:

    x, q: vector of quantiles.

       p: vector of probabilities.

       n: number of observations. If 'length(n) > 1', the length is
          taken to be the number required.

    rate: vector of rates.

log, log.p: logical; if TRUE, probabilities p are given as log(p).

lower.tail: logical; if TRUE (default), probabilities are P[X <= x],
          otherwise, P[X > x].

Details:

     If 'rate' is not specified, it assumes the default value of '1'.

     The exponential distribution with rate lambda has density

                     f(x) = lambda e^(- lambda x)

     for x >= 0.

Value:

     'dexp' gives the density, 'pexp' gives the distribution function,
     'qexp' gives the quantile function, and 'rexp' generates random
     deviates.

Note:

     The cumulative hazard H(t) = - log(1 - F(t)) is '-pexp(t, r, lower
     = FALSE, log = TRUE)'.

References:

     Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) _The New S
     Language_. Wadsworth & Brooks/Cole.

See Also:

     'exp' for the exponential function, 'dgamma' for the gamma
     distribution and 'dweibull' for the Weibull distribution, both of
     which generalize the exponential.

Examples:

     dexp(1) - exp(-1) #-> 0

